'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _uniq2 = require('lodash/uniq');

var _uniq3 = _interopRequireDefault(_uniq2);

var _each2 = require('lodash/each');

var _each3 = _interopRequireDefault(_each2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (requests, lang) {
  var result = [];

  (0, _each3.default)(requests, function (response) {
    if (response.type !== 'dictionary' || response.fromLang !== lang) {
      return;
    }

    response.result.forEach(function (entry) {
      entry.translations.forEach(function (translation) {
        translation.examples.forEach(function (example) {
          var origin = example.text;
          var translation = example.translations[0];

          result.push(translation + "\t" + origin);
        });
      });
    });
  });

  return (0, _uniq3.default)(result);
};